Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy
Interface ComponentChooser

All Known Subinterfaces:
  WindowJob

All Known Implementing Classes:
  JMenuItemOperator.JMenuItemByLabelFinder, Operator.Finder, FrameOperator.FrameByTitleFinder, TextComponentOperator.TextComponentByTextFinder, JLabelOperator.JLabelByLabelFinder, AbstractButtonOperator.AbstractButtonByLabelFinder, JListOperator.JListByItemFinder, TextAreaOperator.TextAreaByTextFinder, TextFieldOperator.TextFieldByTextFinder, JSpinnerOperator.JSpinnerByTextFinder, JTextComponentOperator.JTextComponentByTextFinder, ButtonOperator.ButtonByLabelFinder, JComponentOperator.JComponentByTipFinder, JRadioButtonMenuItemOperator.JRadioButtonMenuItemByLabelFinder, JTableHeaderOperator.JTableHeaderFinder, DialogOperator.DialogByTitleFinder, LabelOperator.LabelByLabelFinder, JComboBoxOperator.JComboBoxByItemFinder, JTreeOperator.JTreeByItemFinder, JCheckBoxMenuItemOperator.JCheckBoxMenuItemByLabelFinder, CheckboxOperator.CheckboxByLabelFinder, ChoiceOperator.ChoiceBySelectedItemFinder, JMenuOperator.JMenuByLabelFinder, JTableOperator.JTableByCellFinder, JPopupMenuOperator.JPopupWindowFinder, JInternalFrameOperator.JInternalFrameByTitleFinder, JInternalFrameOperator.JInternalFrameFinder, ListOperator.ListByItemFinder, JTabbedPaneOperator.JTabbedPaneByItemFinder, JFileChooserOperator.JFileChooserJDialogFinder, PropChooser, NameComponentChooser

public interface ComponentChooser

This interface should be implemented to define the criteria used to search for a component.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `ComponentSearcher`, `WindowWaiter`

Method Summary
`boolean` | `checkComponent(java.awt.Component comp)` Check if the component argument meets the search criteria.
`java.lang.String` | `getDescription()` Returns searched component description.

Method Detail

### checkComponent

    public boolean checkComponent(java.awt.Component comp)

  Check if the component argument meets the search criteria.
  Parameters:
    `comp` - Component to check.
  Returns:
    `true` when the component conforms to the search criteria; `false` otherwise.

### getDescription

    public java.lang.String getDescription()

  Returns searched component description.
  Returns:
    a String representing the description value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD